GrailsPluginGradlePlugin (Grails 4.0.3)
Date: 2020-04-03

Package: org.grails.gradle.plugin.core

## [Groovy] Class GrailsPluginGradlePlugin

- org.grails.gradle.plugin.core.GrailsPluginGradlePlugin

- A Gradle plugin for Grails plugins

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GrailsPluginGradlePlugin.ExplodedDir` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsGradlePlugin` | `APPLICATION_CONTEXT_COMMAND_CLASS, CORE_GORM_LIBRARIES, CORE_GORM_PLUGINS, PROFILE_CONFIGURATION`
    `class org.gradle.api.plugins.GroovyPlugin` | `GROOVYDOC_TASK_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsPluginGradlePlugin (org.gradle.tooling.provider.model.ToolingModelBuilderRegistry registry)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `apply(org.gradle.api.Project project)`
    `` | `protected void` | `applySpringBootPlugin(org.gradle.api.Project project)`
    `` | `protected void` | `checkForConfigurationClash(org.gradle.api.Project project)`
    `` | `protected void` | `configureAstSources(org.gradle.api.Project project)`
    `` | `protected void` | `configureExplodedDirConfiguration(org.gradle.api.Project project)` Configures an exploded configuration that can be used to build the classpath of the application from subprojects that are plugins without contructing a JAR file
    `` | `protected void` | `configurePluginJarTask(org.gradle.api.Project project)`
    `` | `protected void` | `configurePluginResources(org.gradle.api.Project project)`
    `` | `protected void` | `configureProjectNameAndVersionASTMetadata(org.gradle.api.Project project)`
    `` | `protected void` | `configureSourcesJarTask(org.gradle.api.Project project)`
    `` | `protected org.gradle.api.Task` | `createBuildPropertiesTask(org.gradle.api.Project project)`
    `` | `protected java.lang.String` | `getDefaultProfile()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsGradlePlugin` | `addDefaultProfile, apply, applyBasePlugins, applyDefaultPlugins, applySpringBootPlugin, buildClasspath, configureApplicationCommands, configureAssetCompilation, configureConsoleTask, configureFileWatch, configureForkSettings, configureGrailsBuildSettings, configureGrailsSourceDirs, configurePathingJar, configureProfile, configureRunCommand, configureRunScript, configureSpringBootExtension, createBuildPropertiesTask, createConsoleTask, createNative2AsciiTask, createPathingJarTask, createShellTask, enableFileWatch, enableNative2Ascii, getDefaultProfile, isGrailsSourceDirectory, registerFindMainClassTask, registerGrailsExtension, registerToolingModelBuilder, resolveClassesDirs, resolveGrailsResourceDirs, resolveGrailsSourceDirs, resolveGrailsVersion`
    `class org.gradle.api.plugins.GroovyPlugin` | `org.gradle.api.plugins.GroovyPlugin#apply(org.gradle.api.Project), org.gradle.api.plugins.GroovyPlugin#apply(java.lang.Object), org.gradle.api.plugins.GroovyPlugin#wait(long, int), org.gradle.api.plugins.GroovyPlugin#wait(long), org.gradle.api.plugins.GroovyPlugin#wait(), org.gradle.api.plugins.GroovyPlugin#equals(java.lang.Object), org.gradle.api.plugins.GroovyPlugin#toString(), org.gradle.api.plugins.GroovyPlugin#hashCode(), org.gradle.api.plugins.GroovyPlugin#getClass(), org.gradle.api.plugins.GroovyPlugin#notify(), org.gradle.api.plugins.GroovyPlugin#notifyAll()`

- - ### Constructor Detail

    - #### @javax.inject.Inject GrailsPluginGradlePlugin(org.gradle.tooling.provider.model.ToolingModelBuilderRegistry registry)

  - ### Method Detail

    - #### @java.lang.Override void apply(org.gradle.api.Project project)

    - #### @java.lang.Override protected void applySpringBootPlugin(org.gradle.api.Project project)

    - #### protected void checkForConfigurationClash(org.gradle.api.Project project)

    - #### @groovy.transform.CompileDynamic protected void configureAstSources(org.gradle.api.Project project)

    - #### protected void configureExplodedDirConfiguration(org.gradle.api.Project project)

      Configures an exploded configuration that can be used to build the classpath of the application from subprojects that are plugins without contructing a JAR file

      Parameters:
        `project` - The project instance

    - #### protected void configurePluginJarTask(org.gradle.api.Project project)

    - #### @groovy.transform.CompileDynamic protected void configurePluginResources(org.gradle.api.Project project)

    - #### @groovy.transform.CompileDynamic protected void configureProjectNameAndVersionASTMetadata(org.gradle.api.Project project)

    - #### @groovy.transform.CompileStatic protected void configureSourcesJarTask(org.gradle.api.Project project)

    - #### @java.lang.Override protected org.gradle.api.Task createBuildPropertiesTask(org.gradle.api.Project project)

    - #### protected java.lang.String getDefaultProfile()